Module com.io7m.jregions.core
Package com.io7m.jregions.core.unparameterized.volumes

## Class VolumeBI.Builder

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.volumes.VolumeBI.Builder

- Enclosing class:
    VolumeBI

      public static final class VolumeBI.Builder
      extends java.lang.Object

  Builds instances of type `VolumeBI`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `VolumeBI` | `build​()` | Builds a new `VolumeBI`.
    `VolumeBI.Builder` | `from​(VolumeBIType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeBIType` instance.
    `VolumeBI.Builder` | `from​(VolumeValuesBIType instance)` | Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeValuesBIType` instance.
    `VolumeBI.Builder` | `setMaximumX​(java.math.BigInteger maximumX)` | Initializes the value for the `maximumX` attribute.
    `VolumeBI.Builder` | `setMaximumY​(java.math.BigInteger maximumY)` | Initializes the value for the `maximumY` attribute.
    `VolumeBI.Builder` | `setMaximumZ​(java.math.BigInteger maximumZ)` | Initializes the value for the `maximumZ` attribute.
    `VolumeBI.Builder` | `setMinimumX​(java.math.BigInteger minimumX)` | Initializes the value for the `minimumX` attribute.
    `VolumeBI.Builder` | `setMinimumY​(java.math.BigInteger minimumY)` | Initializes the value for the `minimumY` attribute.
    `VolumeBI.Builder` | `setMinimumZ​(java.math.BigInteger minimumZ)` | Initializes the value for the `minimumZ` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final VolumeBI.Builder from​(VolumeBIType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeBIType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final VolumeBI.Builder from​(VolumeValuesBIType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.volumes.VolumeValuesBIType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setMinimumX

          public final VolumeBI.Builder setMinimumX​(java.math.BigInteger minimumX)

      Initializes the value for the `minimumX` attribute.
      Parameters:
        `minimumX` - The value for minimumX
      Returns:
        `this` builder for use in a chained invocation

    - #### setMaximumX

          public final VolumeBI.Builder setMaximumX​(java.math.BigInteger maximumX)

      Initializes the value for the `maximumX` attribute.
      Parameters:
        `maximumX` - The value for maximumX
      Returns:
        `this` builder for use in a chained invocation

    - #### setMinimumY

          public final VolumeBI.Builder setMinimumY​(java.math.BigInteger minimumY)

      Initializes the value for the `minimumY` attribute.
      Parameters:
        `minimumY` - The value for minimumY
      Returns:
        `this` builder for use in a chained invocation

    - #### setMaximumY

          public final VolumeBI.Builder setMaximumY​(java.math.BigInteger maximumY)

      Initializes the value for the `maximumY` attribute.
      Parameters:
        `maximumY` - The value for maximumY
      Returns:
        `this` builder for use in a chained invocation

    - #### setMinimumZ

          public final VolumeBI.Builder setMinimumZ​(java.math.BigInteger minimumZ)

      Initializes the value for the `minimumZ` attribute.
      Parameters:
        `minimumZ` - The value for minimumZ
      Returns:
        `this` builder for use in a chained invocation

    - #### setMaximumZ

          public final VolumeBI.Builder setMaximumZ​(java.math.BigInteger maximumZ)

      Initializes the value for the `maximumZ` attribute.
      Parameters:
        `maximumZ` - The value for maximumZ
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public VolumeBI build​()

      Builds a new `VolumeBI`.
      Returns:
        An immutable instance of VolumeBI
      Throws:
        `java.lang.IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com